
Foreman - Feature #323

Add support for canceling a requested build from web page

06/14/2010 07:28 PM - Frank Sweetser

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Right now, the only way to get a host out of the "build" state is to actually install the host and complete the build.  This patch adds a

simple "Cancel build" option to the host page, which allows a user to manually take the host out of build state without actually going

through the installation.

Associated revisions

Revision 7700f32f - 06/17/2010 03:42 AM - Frank Sweetser

fixes #323 - Add a "cancel build" option

Revision 2c279147 - 11/24/2015 05:22 AM - Julien Pivotto

Improve systemd.timer integration

Change service name to systemd-run

Add SuccessExitStatus=2 to the service unit

Use Array().join instead of a more complex method

Add the ability to change the systemd service name

Add the ability to specify different commands for systemd and cron

Isolate systemctl-daemon-reload by adding a -puppet suffix

Do not duplicate systemctl-daemon-reload exec definition

Only use the systemd magic on Linux.

Fix tests

Closes #323, #328 and #329.

History

#1 - 06/17/2010 03:46 AM - Frank Sweetser

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 7700f32f25a18627c885f504eb6b6a2c26fd708d.

#2 - 06/17/2010 03:48 AM - Ohad Levy

- Target version set to 0.1-6

#3 - 06/18/2010 06:31 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#4 - 06/18/2010 08:45 PM - Frank Sweetser

- File 0001-Delay-purging-facts-and-reports-on-host-build.patch added

Since the admin can now cancel builds, might it make sense to delay purging out the facts and reports from the database?

#5 - 06/18/2010 08:48 PM - Frank Sweetser
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7700f32f25a18627c885f504eb6b6a2c26fd708d


(though that patch should probably also have a return if @spoof line in it...)

Files

0001-Add-a-cancel-build-option.patch 3.15 KB 06/14/2010 Frank Sweetser

0001-Delay-purging-facts-and-reports-on-host-build.patch 1.85 KB 06/18/2010 Frank Sweetser
